#!/bin/sh

PID=$$
RUNNING=`ps -ef | grep synchronize.sh | grep -v 'sh -c' | grep -v grep | grep -v $PID`
if [ ! -z "$RUNNING" ]; then
  echo Sync already running... exiting
  echo $RUNNING
  exit 1
fi


TOOLS_BASE=/home/projects/maven/repository-tools
(
  cd $TOOLS_BASE/syncopate
  ./sync
  retval=$?; if [ $retval != 0 ]; then exit $retval; fi
)
retval=$?; if [ $retval != 0 ]; then exit $retval; fi

(
  cd $TOOLS_BASE/repoclean
  ./repoclean.sh synchronize.properties
  retval=$?; if [ $retval != 0 ]; then exit $retval; fi
)
retval=$?; if [ $retval != 0 ]; then exit $retval; fi

# hack prevent commons-logging-1.1-dev
rm /home/projects/maven/repository-staging/to-ibiblio/maven2/commons-logging/commons-logging/1.1-dev/commons-logging-1.1-dev.jar*

(
  cd $TOOLS_BASE/ibiblio-sync
  ./synchronize-codehaus-to-ibiblio.sh
  retval=$?; if [ $retval != 0 ]; then exit $retval; fi
)
retval=$?; if [ $retval != 0 ]; then exit $retval; fi

